package com.zbf.system.service;

import java.util.List;
import java.util.Map;

import com.zbf.system.domain.TMiStockF;
import com.zbf.system.domain.TMiStockFUpdate;

/**
 * 库存Service接口
 *
 * @author tony
 * @date 2024-07-27
 */
public interface ITMiStockFService
{
    /**
     * 查询库存
     *
     * @param id 库存主键
     * @return 库存
     */
    public TMiStockF selectTMiStockFById(String id);

    /**
     * 查询库存列表
     *
     * @param tMiStockF 库存
     * @return 库存集合
     */
    public List<TMiStockF> selectTMiStockFList(TMiStockF tMiStockF);

    /**
     * 新增库存
     *
     * @param tMiStockF 库存
     * @return 结果
     */
    public int insertTMiStockF(TMiStockF tMiStockF);

    /**
     * 修改库存
     *
     * @param tMiStockF 库存
     * @return 结果
     */
    public int updateTMiStockF(TMiStockF tMiStockF);

    /**
     * 批量删除库存
     *
     * @param ids 需要删除的库存主键集合
     * @return 结果
     */
    public int deleteTMiStockFByIds(String[] ids);

    /**
     * 删除库存信息
     *
     * @param id 库存主键
     * @return 结果
     */
    public int deleteTMiStockFById(String id);

    /**
     * 批量禁用库存
     *
     * @param ids 需要禁用的库存主键集合
     * @return 结果
     */
    public int disabledTMiStockFByIds(String[] ids);

    /**
     * 批量启用库存
     *
     * @param ids 需要启用的库存主键集合
     * @return 结果
     */
    public int enableTMiStockFByIds(String[] ids);

    /**
     * 改变状态
     *
     * @param tMiStockF
     * @return 结果
     */
    public int updateStatus(TMiStockF tMiStockF);

    public Map<String, String> goodsMakeCtl(TMiStockFUpdate tMiStockFUpdate);
}

